#ifndef RRASTERAPP_H
#define RRASTERAPP_H

#include <Application.h>
#include <StorageDefs.h>

enum ERrasterCommand {
	RAS_SAVE = 1001,
	RAS_SAVE24,
	RAS_OPEN,
	RAS_REMOVE_WINDOW
};

class BTSRasterApp : public BApplication
{
public:
				BTSRasterApp();
	
	// Inherited from BLooper
	virtual void	MessageReceived(BMessage *msg);
	virtual	bool	QuitRequested();
	virtual void	ReadyToRun();
	
	// Inherited from BApplication
	virtual void	RefsReceived(BMessage *aMessage);
	virtual void	ArgvReceived(int argc, char **argv);

	// Our own creations
	virtual void	OpenFile(record_ref);
	virtual void	QuitIfEmpty();
	virtual void	HomeDirectory(BDirectory *dir);
	virtual void	AddonsDirectory(BDirectory *dir);

protected:
	BDirectory *fHomeDirectory;
	char fHomePath[1024];
	BWindow *fContentWindow;
	
private:

};

#endif
